org.apache.http.conn

## Class UnsupportedSchemeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.http.conn.UnsupportedSchemeException

All Implemented Interfaces:
  Serializable

    public class UnsupportedSchemeException
    extends IOException

Signals failure to establish connection using an unknown protocol scheme.

Since:
  4.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsupportedSchemeException(String message)` Creates a UnsupportedSchemeException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedSchemeException

    public UnsupportedSchemeException(String message)

Creates a UnsupportedSchemeException with the specified detail message.